SU(1)

NAME
su - ändert die Benutzer-ID oder wechselt zu Root

ÜBERSICHT

su [Optionen] [Benutzername]

BESCHREIBUNG

Der Befehl su dient dazu, während einer Sitzung ein anderer Benutzer zu werden. Wenn su ohne username aufgerufen wird, wechselt es standardmäßig zu Root. Zusätzlich kann das Argument - angegeben werden. Damit wird eine Umgebung zur Verfügung gestellt, die der entspricht, die der Benutzer nach einer direkten Anmeldung erwartet.

Zusätzliche Argumente können nach dem Benutzername angegeben werden. In diesem Fall werden sie an die Login-Shell des Benutzers weitergereicht. Insbesondere führt das Argument -c dazu, dass das nächste Argument von den meisten Interpretatoren als Befehl behandelt wird. Dieser Befehl wird von der Shell ausgeführt, die in /etc/passwd für den Zielbenutzer angegeben ist.

Sie können das Argument -- verwenden, um Optionen für su von Argumenten für die Shell zu trennen.

Der Benutzer wird gegebenenfalls nach einem Passwort gefragt. Unrichtige Passworteingaben werden eine Fehlermeldung erzeugen. Sowohl erfolgreiche als auch misslungene Versuche werden protokolliert, um Missbrauch des Systems zu entdecken.

The current environment is passed to the new shell. The value of $PATH is reset to /bin:/usr/bin for normal users, or /sbin:/bin:/usr/sbin:/usr/bin for the superuser. This may be changed with the ENV_PATH and ENV_SUPATH definitions in /etc/login.defs.

Eine Subsystem-Anmeldung wird durch einen "*" als erstes Zeichen der Login-Shell gekennzeichnet. Das angegebene Home-Verzeichnis wird als Wurzel für das Dateisystem verwendet, auf welchem der Benutzer tatsächlich angemeldet ist.

OPTIONEN

Die Optionen, die vom Befehl su unterstützt werden, sind:

-c, --commandBEFEHL
    Gibt einen Befehl an, der von der Shell mittels ihrer Option -c ausgeführt wird.

-, -l, --login
    Eine Umgebung wird zur Verfügung gestellt, die der entspricht, die der Benutzer nach einer direkten Anmeldung erwartet.

    Wenn - verwendet wird, muss es als die letzte Option von su angegeben werden. Die übrigen Formen ((-l und --login) unterliegen nicht dieser Beschränkung.

-s, --shellSHELL
    Die Shell, die gestartet wird.

    Die aufgerufene Shell wird bestimmt durch (höchste Priorität zuerst):

        Die Shell, die mit --shell angegeben wurde.

        Falls --preserve-environment verwendet wird, die Shell, die durch die Umgebungsvariable $SHELL festgelegt wird.

        Die Shell, die in /etc/passwd für den Zielbenutzer angegeben ist.

        /bin/sh, falls durch die obigen Methoden keine Shell gefunden werden kann.

    Falls der Zielbenutzer eine beschränkte Shell hat (d.h. das Feld für die Shell im Eintrag des Benutzers in /etc/passwd ist nicht in /etc/shell) aufgeführt), wird die Option --shell und die Umgebungsvariable $SHELL nicht beachtet, sofern su nicht von Root aufgerufen wird.

-m, -p, --preserve-environment
    Preserve the current environment, except for:

    $PATH
        reset according to the /etc/login.defs options ENV_PATH or ENV_SUPATH (see below);

    $IFS
        reset to „<space><tab><newline>“, if it was set.

    Falls der Zielbenutzer eine beschränkte Shell besitzt, hat diese Option keinen Effekt (sofern su nicht von Root aufgerufen wird).

    Note that the default behavior for the environment is the following:

        The $HOME, $SHELL, $USER, $LOGNAME, $PATH, and $IFS environment variables are reset.

        If --login is not used, the environment is copied, except for the variables above.

        If --login is used, the $TERM, $COLORTERM, $DISPLAY, and $XAUTHORITY environment variables are copied if they were set.

        If --login is used, the $TZ, $HZ, and $MAIL environment variables are set according to the /etc/login.defs options ENV_TZ, ENV_HZ, MAIL_DIR, and MAIL_FILE (see below).

        If --login is used, other environment variables might be set by the ENVIRON_FILE file (see below).

WARNUNGEN

Diese Version von su hat viele Kompilierungsoptionen. Deren Nützlichkeit hängt von den Anforderungen der jeweiligen Umgebung ab.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

CONSOLE (string)
    If defined, either full pathname of a file containing device names (one per line) or a ":" delimited list of device names. Root logins will be allowed only upon these devices.

    If not defined, root will be allowed on any device.

    The device should be specified without the /dev/ prefix.

CONSOLE_GROUPS (string)
    List of groups to add to the user's supplementary groups set when logging in on the console (as determined by the CONSOLE setting). Default is none.

    Use with caution - it is possible for users to gain permanent access to these groups, even when not logged in on the console.

DEFAULT_HOME (boolean)
    Indicate if login is allowed if we can't cd to the home directory. Default in no.

    If set to yes, the user will login in the root (/) directory if it is not possible to cd to her home directory.

ENV_HZ (string)
    If set, it will be used to define the HZ environment variable when a user login. The value must be preceded by HZ=. A common value on Linux is HZ=100.

ENVIRON_FILE (string)
    If this file exists and is readable, login environment will be read from it. Every line should be in the form name=value.

    Lines starting with a # are treated as comment lines and ignored.

ENV_PATH (string)
    If set, it will be used to define the PATH environment variable when a regular user login. The value can be preceded by PATH=, or a colon separated list of paths (for example /bin:/usr/bin). The default value is PATH=/bin:/usr/bin.

ENV_SUPATH (string)
    If set, it will be used to define the PATH environment variable when the superuser login. The value can be preceded by PATH=, or a colon separated list of paths (for example /sbin:/bin:/usr/sbin:/usr/bin). The default value is PATH=/bin:/usr/bin.

ENV_TZ (string)
    If set, it will be used to define the TZ environment variable when a user login. The value can be the name of a timezone preceded by TZ= (for example TZ=CST6CDT), or the full path to the file containing the timezone specification (for example /etc/tzname).

    If a full path is specified but the file does not exist or cannot be read, the default is to use TZ=CST6CDT.

LOGIN_STRING (string)
    The string used for prompting a password. The default is to use "Password: ", or a translation of that string. If you set this variable, the prompt will no be translated.

    If the string contains %s, this will be replaced by the user's name.

MAIL_CHECK_ENAB (boolean)
    Enable checking and display of mailbox status upon login.

    You should disable it if the shell startup files already check for mail ("mailx -e" or equivalent).

MAIL_DIR (string)
    Das Verzeichnis des Mail-Spools. Diese Angabe wird benötigt, um die Mailbox zu bearbeiten, nachdem das entsprechende Benutzerkonto verändert oder gelöscht wurde. Falls nicht angegeben, wird ein Standard verwendet, der beim Kompilieren festgelegt wurde.

MAIL_FILE (string)
    Defines the location of the users mail spool files relatively to their home directory.

The MAIL_DIR and MAIL_FILE variables are used by useradd, usermod, and userdel to create, move, or delete the user's mail spool.

If MAIL_CHECK_ENAB is set to yes, they are also used to define the MAIL environment variable.

QUOTAS_ENAB (boolean)
    Enable setting of ulimit, umask, and niceness from passwd gecos field.

SULOG_FILE (string)
    If defined, all su activity is logged to this file.

SU_NAME (string)
    If defined, the command name to display when running "su -". For example, if this is defined as "su" then a "ps" will display the command is "-su". If not defined, then "ps" would display the name of the shell actually being run, e.g. something like "-sh".

SU_WHEEL_ONLY (boolean)
    If yes, the user must be listed as a member of the first gid 0 group in /etc/group (called root on most Linux systems) to be able to su to uid 0 accounts. If the group doesn't exist or is empty, no one will be able to su to uid 0.

SYSLOG_SU_ENAB (boolean)
    Enable "syslog" logging of su activity - in addition to sulog file logging.

USERGROUPS_ENAB (boolean)
    Enable setting of the umask group bits to be the same as owner bits (examples: 022 -> 002, 077 -> 007) for non-root users, if the uid is the same as gid, and username is the same as the primary group name.

    If set to yes, userdel will remove the user's group if it contains no more members, and useradd will create by default a group with the name of the user.

DATEIEN

/etc/passwd
    Informationen zu den Benutzerkonten.

/etc/shadow
    Verschlüsselte Informationen zu den Benutzerkonten.

/etc/login.defs
    Konfiguration des Shadow-Passwort-Systems

SIEHE AUCH

login(1), login.defs(5), sg(1), sh(1).